Last Comment Bug 707594 - Account lockout notifications are not notifying the maintainer
: Account lockout notifications are not notifying the maintainer
Status: RESOLVED FIXED
[wanted-bmo]
:
Product: Bugzilla
Classification: Server Software
Component: User Accounts (show other bugs)
: 4.0.2
: All All
: -- major (vote)
: Bugzilla 3.6
Assigned To: Byron Jones ‹:glob› [PTO until 2016-10-10]
: default-qa
:
Mentors:
Depends on: 355283
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-04 18:37 PST by Reed Loden [:reed] (use needinfo?)
Modified: 2011-12-05 08:47 PST (History)
5 users (show)
LpSolit: approval+
LpSolit: approval4.2+
LpSolit: blocking4.2+
LpSolit: approval4.0+
LpSolit: blocking4.0.3+
LpSolit: approval3.6+
LpSolit: blocking3.6.7+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (681 bytes, patch)
2011-12-05 00:14 PST, Byron Jones ‹:glob› [PTO until 2016-10-10]
LpSolit: review-
Details | Diff | Splinter Review
patch v2 (684 bytes, patch)
2011-12-05 07:46 PST, Byron Jones ‹:glob› [PTO until 2016-10-10]
LpSolit: review+
Details | Diff | Splinter Review

Description Reed Loden [:reed] (use needinfo?) 2011-12-04 18:37:07 PST
I haven't seen a single account lockout notification sent to bmo's maintainer address since the new upstream code was implemented. Need to figure out why it seems to be broken.
Comment 1 Byron Jones ‹:glob› [PTO until 2016-10-10] 2011-12-05 00:14:16 PST
Created attachment 579004 [details] [diff] [review]
patch v1

this causes all the "Not an ARRAY reference at Bugzilla/Install/Util.pm" warnings in the apache log.
Comment 2 Frédéric Buclin 2011-12-05 07:41:39 PST
Comment on attachment 579004 [details] [diff] [review]
patch v1

>=== modified file 'Bugzilla/Auth.pm'

>+            my $template = Bugzilla->template_inner(
>+                               $default_settings->{lang}->legal_values);

No, you want $default_settings->{lang}->{default_value}.
Comment 3 Frédéric Buclin 2011-12-05 07:43:52 PST
Let's take it for 3.6.7, as this security feature is broken.
Comment 4 Byron Jones ‹:glob› [PTO until 2016-10-10] 2011-12-05 07:46:30 PST
Created attachment 579067 [details] [diff] [review]
patch v2

d'oh
Comment 5 Frédéric Buclin 2011-12-05 08:02:47 PST
Comment on attachment 579067 [details] [diff] [review]
patch v2

r=LpSolit
Comment 6 Byron Jones ‹:glob› [PTO until 2016-10-10] 2011-12-05 08:47:54 PST
Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bugzilla/trunk/
modified Bugzilla/Auth.pm
Committed revision 8029.

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bugzilla/4.2/
modified Bugzilla/Auth.pm
Committed revision 7972.

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bugzilla/4.0/
modified Bugzilla/Auth.pm
Committed revision 7663.

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bugzilla/3.6/
modified Bugzilla/Auth.pm
Committed revision 7262.

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.0/
modified Bugzilla/Auth.pm
Committed revision 7979.

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.2/
modified Bugzilla/Auth.pm
Committed revision 7972.

Note You need to log in before you can comment on or make changes to this bug.